POST api/rfidreaderapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
RfidReaderViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| duration | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| ip | string |
None. |
|
| name | string |
Required |
|
| pc_id | globally unique identifier |
None. |
|
| power | decimal number |
None. |
|
| sector_entry | integer |
None. |
|
| sector_exit | integer |
None. |
|
| sensibility | decimal number |
None. |
|
| site_id | globally unique identifier |
Required |
|
| tag_filter | string |
None. |
|
| rfid_reader_type_id | globally unique identifier |
Required |
|
| active | boolean |
Required |
Request Formats
application/json, text/json
Sample:
{
"duration": 1,
"id": "27299ef5-828d-445a-b1bc-ed13a7920db6",
"ip": "sample string 2",
"name": "sample string 3",
"pc_id": "720307ef-e835-415e-8c20-55602b275e47",
"power": 1.1,
"sector_entry": 1,
"sector_exit": 1,
"sensibility": 1.1,
"site_id": "7060f421-47fc-4025-9e66-0bd2b71b02c8",
"tag_filter": "sample string 4",
"rfid_reader_type_id": "fde01123-414d-4e48-acf8-03e083abfec3",
"active": true
}
application/xml, text/xml
Sample:
<rfid_reader xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <duration>1</duration> <id>27299ef5-828d-445a-b1bc-ed13a7920db6</id> <ip>sample string 2</ip> <name>sample string 3</name> <pc_id>720307ef-e835-415e-8c20-55602b275e47</pc_id> <power>1.1</power> <rfid_reader_type_id>fde01123-414d-4e48-acf8-03e083abfec3</rfid_reader_type_id> <sector_entry>1</sector_entry> <sector_exit>1</sector_exit> <sensibility>1.1</sensibility> <site_id>7060f421-47fc-4025-9e66-0bd2b71b02c8</site_id> <tag_filter>sample string 4</tag_filter> </rfid_reader>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"27707932-52a3-4484-afde-a5f70335fe44"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">27707932-52a3-4484-afde-a5f70335fe44</guid>